From f45d474e9b7727446ad32df4b61db61fa47579f0 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hadrian=20W=C4=99grzynowski?= <hadrian@hawski.com>
Date: Fri, 14 Jun 2019 19:10:02 +0200
Subject: [PATCH 1/2] zbar: fix qt option handling

---
 srcpkgs/zbar/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/zbar/template b/srcpkgs/zbar/template
index 7288518e4f1..3cf1c3f6911 100644
--- a/srcpkgs/zbar/template
+++ b/srcpkgs/zbar/template
@@ -3,7 +3,7 @@ pkgname=zbar
 version=0.10
 revision=7
 build_style=gnu-configure
-configure_args="ac_cv_header_wand_MagickWand_h=yes $(vopt_with qt qt5) --with-gtk"
+configure_args="ac_cv_header_wand_MagickWand_h=yes $(vopt_with qt) --with-gtk"
 hostmakedepends="automake pkg-config libtool gettext-devel python
  $(vopt_if qt 'qt5-qmake qt5-host-tools') glib-devel"
 makedepends="libmagick-devel libXv-devel pygtk-devel v4l-utils-devel

From 4d75fd9ccc7c328b5dc108a2457840bb686021ac Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hadrian=20W=C4=99grzynowski?= <hadrian@hawski.com>
Date: Fri, 14 Jun 2019 20:42:14 +0200
Subject: [PATCH 2/2] zbar: fix xlint issues

---
 srcpkgs/zbar/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/zbar/template b/srcpkgs/zbar/template
index 3cf1c3f6911..d99aa0e667a 100644
--- a/srcpkgs/zbar/template
+++ b/srcpkgs/zbar/template
@@ -8,13 +8,13 @@ hostmakedepends="automake pkg-config libtool gettext-devel python
  $(vopt_if qt 'qt5-qmake qt5-host-tools') glib-devel"
 makedepends="libmagick-devel libXv-devel pygtk-devel v4l-utils-devel
  $(vopt_if qt qt5-x11extras-devel)"
-short_desc="A barcode reading library and application"
+depends="libzbar-${version}_${revision}"
+short_desc="Barcode reading library and application"
 maintainer="Jürgen Buchmüller <pullmoll@t-online.de>"
 license="LGPL-2.1-or-later"
 homepage="https://zbar.sourceforge.net/"
 distfiles="${SOURCEFORGE_SITE}/zbar/${version}/${pkgname}-${version}.tar.bz2"
 checksum=234efb39dbbe5cef4189cc76f37afbe3cfcfb45ae52493bfe8e191318bdbadc6
-depends="libzbar-${version}_${revision}"
 
 build_options="qt"
 case "$XBPS_TARGET_MACHINE" in
